Skip to Content

List payments

GET/payments

Retrieve a paginated list of payments, most recent first. Filter by status, checkout, payment method, and creation-date range.

Headers

HeaderDescriptionRequired
AuthorizationBearer token with your secret API keyyes

Query Parameters

NameTypeRequiredDescription
limitinteger
starting_afterstring
ending_beforestring
statusenum: client_deposit_pending | client_deposit_detected | client_deposit_confirmed | client_deposit_expired | escrow_confirmed | settlement_pending | settled | failed | refunded | cancelled[]
checkout_idstring
payment_methodenum: direct | two_step
created_gtestring · date-time
created_ltestring · date-time

Example Request

Request

const response = await fetch('https://checkout-api.exodus-int.com/payments?limit=10&starting_after=<starting_after>&ending_before=<ending_before>&status=<status>&checkout_id=<checkout_id>&payment_method=direct&created_gte=<created_gte>&created_lte=<created_lte>', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxx',
  },
});

Responses

StatusDescription
200A paginated list of payments.
400Validation error
401Missing or invalid authentication

Response body

FieldTypeRequiredDescription
objectenum: listyes
dataobject[]yes
has_morebooleanyes

data

FieldTypeRequiredDescription
idstringyes
objectenum: paymentyes
statusenum: client_deposit_pending | client_deposit_detected | client_deposit_confirmed | client_deposit_expired | escrow_confirmed | settlement_pending | settled | failed | refunded | cancelledyes
payment_methodenum: direct | two_stepyes
detected_tokenstring | nullyes
detected_token_addressstring | nullyes
detected_chainstring | nullyes
token_amountstring | nullyes
token_amount_decimalstring | nullyes
deposit_addressstring | nullyes
payer_addressesstring[]yes
on_chain_idstring | nullyes
created_atstring · date-timeyes
flaggedbooleanyes

Example Response

{
  "object": "list",
  "data": [
    {
      "id": "tz4a98xxat96iws9zmbrgj3a",
      "object": "payment",
      "status": "settled",
      "payment_method": "two_step",
      "detected_token": "USDC",
      "detected_token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
      "detected_chain": "eip155:1",
      "token_amount": "50000000",
      "token_amount_decimal": "50",
      "deposit_address": "0x5fbdb2315678afecb367f032d93f642f64180aa3",
      "payer_addresses": [
        "0x742d35Cc6634C0532925a3b844Bc9e7595f8fE21"
      ],
      "on_chain_id": "0x1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b",
      "created_at": "2024-01-15T12:30:00Z",
      "flagged": false
    }
  ],
  "has_more": false
}

Error Response

Error (e.g. 400)

{
  "error": {
    "type": "validation_error",
    "message": "amount must be a positive number",
    "param": "amount"
  }
}

Start building

XO

Request Demo

Schedule a call with our team

Select a product
Arrow right

Start building
Grateful

Contact Us

We're here to help